Merge a fork

View as Markdown
[Merges](https://learning.postman.com/docs/collaborating-in-postman/using-version-control/forking-elements/#merge-changes-from-a-fork) a forked environment back into its parent environment.

Authentication

x-api-keystring
API Key authentication via header
OR
Authorizationstring
A valid [SCIM API key](https://learning.postman.com/docs/administration/scim-provisioning/scim-provisioning-overview/#generating-scim-api-key) for calls to SCIM endpoints.
OR
AuthorizationBasic

Basic authentication of the form Basic <base64(username:password)>.

Path parameters

environmentIdstringRequiredformat: "uid"
The environment's unique ID.

Request

This endpoint expects an object.
sourcestringRequiredformat: "uid"
The source environment's unique ID to merge data from.
deleteSourcebooleanOptionalDefaults to false
If true, the forked environment will be deleted.

Response

Successful Response
environmentobject
Information about the merged environment.

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
500
Internal Server Error